/* DRAGGABLE CATEGORIES */

// Definit le selecteur de liste
var setSelector = "div#forumlist";
// Definit le nom du cookie
var setCookieName = "forumlistOrder";
// Definit le delai d'expiration cookie (jours):
var setCookieExpiry = 365;
/*************************************************************
 *
*************************************************************/
function getOrder() {
	$.cookie(setCookieName, $(setSelector).sortable("toArray"), {
		expires: setCookieExpiry,
		path: "/"
	});
}

/*************************************************************
 *
*************************************************************/
function restoreOrder() {
	var list = $(setSelector);
	if (list == null) return
	var cookie = $.cookie(setCookieName);
	if (!cookie) return;
	var IDs = cookie.split(",");
	var items = list.sortable("toArray");
	var rebuild = new Array();
	for (var v = 0, len = items.length; v < len; v++) {
		rebuild[items[v]] = items[v];
	}

	for (var i = 0, n = IDs.length; i < n; i++) {
		var itemID = IDs[i];
		if (itemID in rebuild) {
			var item = rebuild[itemID];
			var child = $("div#forumlist.ui-sortable").children("#" + item);
			var savedOrd = $("div#forumlist.ui-sortable").children("#" + itemID);
			child.remove();
			$("div#forumlist.ui-sortable").filter(":first").append(savedOrd);
		}
	}

}

jQuery(document).ready(function() {
	$("div#forumlist").sortable({
		handle: '.forumlist-controls',
		placeholder: 'placeholder',
		zIndex: '2',
		revert: true,
		forcePlaceholderSize: true,
		axis: 'y',
		update: function() {
			getOrder();
		}
	});

	restoreOrder();
});